<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ygtx.gxt.mapper.GxtScoreRuntimeMapper">

    <resultMap type="GxtScoreRuntime" id="GxtScoreRuntimeResult">
        <result property="id" column="id"/>
        <result property="runtimeRange" column="runtime_range"/>
        <result property="minHours" column="min_hours"/>
        <result property="maxHours" column="max_hours"/>
        <result property="score" column="score"/>
        <result property="status" column="status"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectGxtScoreRuntimeVo">
        select id, runtime_range, min_hours, max_hours, score, status, create_by, create_time, update_by, update_time, remark from gxt_score_runtime
    </sql>

    <select id="selectGxtScoreRuntimeList" parameterType="GxtScoreRuntime" resultMap="GxtScoreRuntimeResult">
        <include refid="selectGxtScoreRuntimeVo"/>
        <where>  
            <if test="runtimeRange != null  and runtimeRange != ''"> and runtime_range = #{runtimeRange}</if>
            <if test="minHours != null "> and min_hours = #{minHours}</if>
            <if test="maxHours != null "> and max_hours = #{maxHours}</if>
            <if test="score != null "> and score = #{score}</if>
            <if test="status != null "> and status = #{status}</if>
        </where>
        order by id asc
    </select>
    
    <select id="selectGxtScoreRuntimeById" parameterType="Long" resultMap="GxtScoreRuntimeResult">
        <include refid="selectGxtScoreRuntimeVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertGxtScoreRuntime" parameterType="GxtScoreRuntime" useGeneratedKeys="true" keyProperty="id">
        insert into gxt_score_runtime
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="runtimeRange != null and runtimeRange != ''">runtime_range,</if>
            <if test="minHours != null">min_hours,</if>
            <if test="maxHours != null">max_hours,</if>
            <if test="score != null">score,</if>
            <if test="status != null">status,</if>
            <if test="createBy != null and createBy != ''">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null and updateBy != ''">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="runtimeRange != null and runtimeRange != ''">#{runtimeRange},</if>
            <if test="minHours != null">#{minHours},</if>
            <if test="maxHours != null">#{maxHours},</if>
            <if test="score != null">#{score},</if>
            <if test="status != null">#{status},</if>
            <if test="createBy != null and createBy != ''">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null and updateBy != ''">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateGxtScoreRuntime" parameterType="GxtScoreRuntime">
        update gxt_score_runtime
        <trim prefix="SET" suffixOverrides=",">
            <if test="runtimeRange != null and runtimeRange != ''">runtime_range = #{runtimeRange},</if>
            <if test="minHours != null">min_hours = #{minHours},</if>
            <if test="maxHours != null">max_hours = #{maxHours},</if>
            <if test="maxHours == null">max_hours = null,</if>
            <if test="score != null">score = #{score},</if>
            <if test="status != null">status = #{status},</if>
            <if test="createBy != null and createBy != ''">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null and updateBy != ''">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteGxtScoreRuntimeById" parameterType="Long">
        delete from gxt_score_runtime where id = #{id}
    </delete>

    <delete id="deleteGxtScoreRuntimeByIds" parameterType="Long">
        delete from gxt_score_runtime where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>